import 'package:dio/dio.dart';
import 'package:dio_helper_flutter/dio_helper.dart';
import 'api_provider.dart';
import 'api_repository.dart';

void main() {
  var apiRepository = ApiRepository(ApiProvider(DioHelper(Dio())));

  //URL
  String mainUrl = 'https://api.first.org/data/v1/';
  APiKey.baseUrlKey = mainUrl;
  String pathUrl = 'countries';

  //TODO GET API CALLING
  apiRepository.getApi(pathUrl).then((response) => print(response)).catchError(
          (error) => print(error!.statusCode)
  );
}
